package db

import java.io.FileInputStream
import java.sql.DriverManager
import java.util.*
import java.sql.Connection
import java.io.InputStream




object DBConnection {

    val connection: Connection

    init {
        val p = Properties()
        val loader = Thread.currentThread().contextClassLoader
        val resourceStream = loader.getResourceAsStream("config.properties")
        p.load(resourceStream)
        val driver = p.getProperty("driver")
        val username = p.getProperty("usuario")
        val password = p.getProperty("clave")
        connection = DriverManager.getConnection(driver, username, password)
    }

    fun disconnect() {
        connection.close()
    }

}