package db.dao

import model.domain.DirectorBo
import model.domain.PeliculaBo
import java.sql.Connection
import java.sql.Statement

class DBSerieDao(val connection: Connection) : SerieDao {

    override fun save(serie: PeliculaBo) {
        val sql = "INSERT INTO series (title, year, duration, country, cover) VALUES (?,?,?,?,?)"
        connection.autoCommit = false
        val statement = connection.prepareStatement(sql, Statement.RETURN_GENERATED_KEYS)
        statement.setString(1,serie.title)
        //statement.setInt(2, serie.year)
       // statement.setInt(3, serie.duration)
       // statement.setString(4, serie.country)
       // statement.setString(5, serie.cover)
        val rows = statement.executeUpdate()
        if (rows > 0) {
            val generatedKeys = statement.generatedKeys
            if (generatedKeys.next()) {
                val key = generatedKeys.getLong(1)
               //saveDirectors(key, serie.directors)
                connection.commit()
            } else {
                connection.rollback()
            }
        }
        connection.autoCommit = true
        statement.close()
    }

    private fun saveDirectors(key: Long, directors: MutableList<DirectorBo>) {
        val sql = "INSERT INTO director (name, series_id)  VALUES (?,?)"
        connection.autoCommit = false
        val statement = connection.prepareStatement(sql)
        for (director in directors) {
            statement.setString(1, director.name)
            statement.setLong(2, key)
            statement.addBatch()
        }
        statement.executeBatch()
        statement.close()
    }

}
