package db.schema

import model.domain.DirectorBo
import java.sql.Connection

object SerieSchema {

    fun createSchema(connection: Connection) {
        createSeriesSchema(connection)
        createDirectorSchema(connection)
    }

    private fun createSeriesSchema(connection: Connection) {
        val sqlSeriesSchema = """CREATE TABLE IF NOT EXISTS series(
        id int auto_increment primary key,
        title varchar(150) not null,
        year int(4) unsigned not null,
        duration int unsigned not null,
        country varchar(50) not null,
        cover varchar(255)
    )""".trimMargin()
        val statement = connection.createStatement()
        statement.executeUpdate(sqlSeriesSchema)
        statement.close()
    }


    private fun createDirectorSchema(connection: Connection) {
        val sqlDirectorSchema = """
    CREATE TABLE IF NOT EXISTS director (
    id int auto_increment primary key,
    name varchar(150) not null,
    series_id int not null,
    constraint pk_serie foreign key(series_id) references series(id)
    )""".trimIndent()
        val statement = connection.createStatement()
        statement.executeUpdate(sqlDirectorSchema)
        statement.close()
    }

}