package parser

import model.domain.PeliculaBo
import org.jsoup.Connection
import org.jsoup.Jsoup

class ImbdParser {
    val topGen = "https://www.imdb.com/chart/moviemeter?ref_=nv_mv_mpm"
    val domain = "https://www.imdb.com"

    fun parseGameList() : MutableList<PeliculaBo> {
        val arrayPeliculas = mutableListOf<PeliculaBo>()

            val doc = Jsoup.connect(topGen)
                .method(Connection.Method.GET)
                .execute().parse()


            val peliculas = doc.select(".titleColumn a")

            for(peliculaElement in peliculas){
                val url = peliculaElement.attr("href")
                val pelicula = parsePeliculas(url)
                arrayPeliculas.add(pelicula)
            }

        return arrayPeliculas
    }

    private fun parsePeliculas(url: String?): PeliculaBo {

        val doc = Jsoup.connect(domain + url).execute().parse()
        val tittle = doc.select("h1").text()
        val year = doc.select("#titleYear a").text()
        val duration = doc.select("time").text()
        val genero = doc.select(".subtext a").text()
        val arrayGenero = mutableListOf<String>()
        val directores = doc.select(".credit_summary_item a")

        for(generoElement in genero.split(" ")){

            if(isNumeric(generoElement)){
                break
            }else{
                arrayGenero.add(generoElement)
            }
        }

        //println(tittle)
        //println(year)
        //println(duration)
        //println(arrayGenero)
        //println(directores)
        val pelicula = PeliculaBo(tittle, year, duration, arrayGenero )
        println(pelicula)
        return pelicula
    }

    fun isNumeric(cadena: String): Boolean {

        var resultado: Boolean

        try {
            Integer.parseInt(cadena)
            resultado = true
        } catch (excepcion: NumberFormatException) {
            resultado = false
        }

        return resultado
    }

}